Skip to content

Get Ginger's public keys

GET
/.well-known/jwks.json

Returns the JSON Web Key Set with the public keys Ginger signs its responses with. Pick the key with the kid from the header of the response's JWS. Needs no authentication.

Response Body

The key set.

application/json
  1. response
keys*array<>
curl -X GET 'https://api.example.com/.well-known/jwks.json' \  --user "$API_KEY:"
{  "keys": [    {      "kty": "string",      "crv": "string",      "alg": "string",      "use": "string",      "kid": "string",      "x": "string",      "y": "string"    }  ]}